# Created by pyp2rpm-3.3.5
%global pypi_name cmyt

Name:           python-%{pypi_name}
Version:        2.0.0
Release:        %mkrel 2
Summary:        A collection of Matplotlib colormaps from the yt project
Group:          Development/Python
License:        BSD 3-Clause
URL:            https://github.com/yt-project/yt
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(colorspacious)
BuildRequires:  python3dist(matplotlib)
BuildRequires:  python3dist(more-itertools)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-mpl)
BuildRequires:  python3dist(setuptools)

%description
Matplotlib colormaps from the yt project.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Matplotlib colormaps from the yt project.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
rm -Rf %{buildroot}%{python3_sitelib}/tests
%pyproject_save_files %{pypi_name}


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md



%changelog
* Mon Mar 03 2025 wally <wally> 2.0.0-2.mga10
+ Revision: 2159645
- rebuild for python3.13

* Tue Jan 16 2024 daviddavid <daviddavid> 2.0.0-1.mga10
+ Revision: 2031457
- new version: 2.0.0
- rebuild for py3.12

* Mon Nov 28 2022 papoteur <papoteur> 1.1.2-1.mga9
+ Revision: 1912170
- imported package python-cmyt

